commit 95c53c8bc6505e948a3d840f142a5020665ceec5
Author: Alexander Korotkov <akorotkov@postgresql.org>
Date:   Sun Jun 16 23:35:44 2019 +0300

    Fix description for $varname jsonpath variable
    
    The description is ended part way and PASSING clause is not implemented yet.
    But the variables might be passed as parameters to several jsonpath functions.
    So, complete the description based on the current implementation, leaving
    description of PASSING clause in TODO.
    
    Discussion: https://postgr.es/m/CAKPRHz%2BxOuQSSvkuB1mCQjedd%2BB2B1Vnkrq0E-pLmoXyTO%2Bz9Q%40mail.gmail.com
    Author: Kyotaro Horiguchi, Alexander Korotkov

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 3a8581d2050..059eaa4397a 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -13174,7 +13174,7 @@ table2-mapping
    </para>
    <para>
     When <literal>vars</literal> argument is specified, it constitutes an object
-    contained variables to be substituted into <literal>jsonpath</literal>
+    contained named variables to be substituted into <literal>jsonpath</literal>
     expression.
    </para>
    <para>
diff --git a/doc/src/sgml/json.sgml b/doc/src/sgml/json.sgml
index b8246badda9..daebb4f3410 100644
--- a/doc/src/sgml/json.sgml
+++ b/doc/src/sgml/json.sgml
@@ -733,10 +733,12 @@ SELECT jdoc-&gt;'guid', jdoc-&gt;'name' FROM api WHERE jdoc @&gt; '{"tags": ["qu
      </row>
      <row>
       <entry><literal>$varname</literal></entry>
-      <entry>A named variable. Its value must be set in the
-      <command>PASSING</command> clause of an SQL/JSON query function.
- <!-- TBD: See <xref linkend="sqljson-input-clause"/> -->
-      for details.
+      <entry>
+        A named variable. Its value can be set by the parameter
+        <parameter>vars</parameter> of several JSON processing functions.
+        See <xref linkend="functions-json-processing-table"/> and
+        its notes for details.
+        <!-- TODO: describe PASSING clause once implemented !-->
       </entry>
      </row>
      <row>
